A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Member Functions
randomEngine Class Reference
ArrayFire Classes | ArrayFire Functions by Category » Functions to create and modify Arrays » Functions to create arrays. » Random Number Generation

C++ Interface - Random Number Generation Engine Class. More...

`#include <random.h>`

## Public Member Functions
| randomEngine (randomEngineType typeIn=AF_RANDOM_ENGINE_DEFAULT, unsigned long long seedIn=0)
| C++ Interface to create a af::randomEngine object with a af::randomEngineType and a seed.
| randomEngine (const randomEngine &other)
| C++ Interface copy constructor for a af::randomEngine.
| randomEngine (af_random_engine engine)
| C++ Interface to create a copy of the random engine object from a af_random_engine handle.
| ~randomEngine ()
| C++ Interface destructor for a af::randomEngine.
randomEngine & | operator= (const randomEngine &other)
| C++ Interface to assign the internal state of randome engine.
void | setType (const randomEngineType type)
| C++ Interface to set the random type of the random engine.
randomEngineType | getType (void)
| C++ Interface to get the random type of the random engine.
void | setSeed (const unsigned long long seed)
| C++ Interface to set the seed of the random engine.
unsigned long long | getSeed (void) const
| C++ Interface to return the seed of the random engine.
af_random_engine | get (void) const
| C++ Interface to return the af_random_engine handle of this object.

## Detailed Description

C++ Interface - Random Number Generation Engine Class.

The af::randomEngine class is used to set the type and seed of random number generation engine based on af::randomEngineType.

Definition at line 34 of file random.h.

## Constructor & Destructor Documentation

## ◆ randomEngine() [1/3]

randomEngine | ( | randomEngineType | typeIn = AF_RANDOM_ENGINE_DEFAULT,
|  | unsigned long long | seedIn = 0 )
| explicit

C++ Interface to create a af::randomEngine object with a af::randomEngineType and a seed.

// create a random engine of default type with seed = 1
randomEngine r(AF_RANDOM_ENGINE_DEFAULT, 1);
af::randomEngine
C++ Interface - Random Number Generation Engine Class.
Definition random.h:34
AF_RANDOM_ENGINE_DEFAULT
@ AF_RANDOM_ENGINE_DEFAULT
Definition defines.h:446

## ◆ randomEngine() [2/3]

randomEngine | ( | const randomEngine & | other | ) |

C++ Interface copy constructor for a af::randomEngine.

Parameters

  [in] | other | input random engine object

## ◆ randomEngine() [3/3]

randomEngine | ( | af_random_engine | engine | ) |

C++ Interface to create a copy of the random engine object from a af_random_engine handle.

Parameters

  [in] | engine | The input random engine object

## ◆ ~randomEngine()

~randomEngine | ( |  | ) |

C++ Interface destructor for a af::randomEngine.

## Member Function Documentation

## ◆ get()

af_random_engine get | ( | void |  | ) | const

C++ Interface to return the af_random_engine handle of this object.

Returns
  handle to the af_random_engine associated with this random engine

## ◆ getSeed()

unsigned long long getSeed | ( | void |  | ) | const

C++ Interface to return the seed of the random engine.

Returns
  seed associated with random engine

## ◆ getType()

randomEngineType getType | ( | void |  | ) |

C++ Interface to get the random type of the random engine.

Returns
  af::randomEngineType associated with random engine

## ◆ operator=()

randomEngine & operator= | ( | const randomEngine & | other | ) |

C++ Interface to assign the internal state of randome engine.

Parameters

  [in] | other | object to be assigned to the random engine

Returns
  the reference to this

## ◆ setSeed()

void setSeed | ( | const unsigned long long | seed | ) |

C++ Interface to set the seed of the random engine.

Parameters

  [in] | seed | initializing seed of the random number generator

## ◆ setType()

void setType | ( | const randomEngineType | type | ) |

C++ Interface to set the random type of the random engine.

Parameters

  [in] | type | type of the random number generator

The documentation for this class was generated from the following file:

- random.h